Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdD3DLightProperties Struct Reference

Inherits IRsDataObject.

List of all members.

## Public Member Functions
HRESULT | Clear ()
HRESULT | GetVersion ([out] DWORD *pOutVersion)
HRESULT | GetShaders ([out] IRdME2ShaderLight **pShader,[out] IRdME2ShaderLightVertex **pShaderVS)
HRESULT | SetPixelLightShader ([in] IRdMEShaderLight *pShader)
HRESULT | GetPixelLightShader ([out] IRdMEShaderLight **pShader)
HRESULT | SetVertexLightShader ([in] IRdMEShaderLightVS *pShader)
HRESULT | GetVertexLightShader ([out] IRdMEShaderLightVS **pShader)
HRESULT | SetBoundingVolume ([in] IRdBoundingVolume *pVal)
HRESULT | GetBoundingVolume ([out] IRdBoundingVolume **pVal)

## Detailed Description

This interface specifies the properties of the light.

## Member Function Documentation

HRESULT IRdD3DLightProperties::Clear | ( |  | ) |

| Clear the dataobject

HRESULT IRdD3DLightProperties::GetVersion | ( | [out] DWORD * | pOutVersion | ) |

  | Get the version of the light. Version 2 means the new material engine (ME2). Versions bellow this number are deprecated and should be ignored. Parameters:
  pOutVersion | is filled with the light version.

HRESULT IRdD3DLightProperties::GetShaders | ( | [out] IRdME2ShaderLight ** | pShader,
|  | [out] IRdME2ShaderLightVertex ** | pShaderVS
| ) |

  | Get the shaders of the light. Valid only when version is 2. Parameters:
  pShader | is filled with the light shader
  pShaderVS | is filled with the vertex light shader.

HRESULT IRdD3DLightProperties::SetPixelLightShader | ( | [in] IRdMEShaderLight * | pShader | ) |

| Set the old version 1 shader of the light. :

HRESULT IRdD3DLightProperties::GetPixelLightShader | ( | [out] IRdMEShaderLight ** | pShader | ) |

| Get the old version 1 shader of the light. :

HRESULT IRdD3DLightProperties::SetVertexLightShader | ( | [in] IRdMEShaderLightVS * | pShader | ) |

| Set the old version 1 shader of the light. :

HRESULT IRdD3DLightProperties::GetVertexLightShader | ( | [out] IRdMEShaderLightVS ** | pShader | ) |

| Get the old version 1 shader of the light. :

HRESULT IRdD3DLightProperties::SetBoundingVolume | ( | [in] IRdBoundingVolume * | pVal | ) |

  | Set the bounding volume descriptor of the light. Parameters:
  pVal | specifies the bounding volume object

HRESULT IRdD3DLightProperties::GetBoundingVolume | ( | [out] IRdBoundingVolume ** | pVal | ) |

  | Get the bounding volume descriptor of the light. Parameters:
  pVal | is filled with the bounding volume object